srecord_t Struct Reference

## Data Fields

uint8_t | type
uint8_t | count
uint32_t | address
uint8_t | dataCount
uint8_t | data [256]
uint8_t | checksum

## Field Documentation

uint32_t address

The address specified as part of the S-record.

uint8_t checksum

The checksum byte present in the S-record.

uint8_t count

Number of character pairs (bytes) from address through checksum.

uint8_t data[256]

Pointer to data, or NULL if no data for this record type.

uint8_t dataCount

Number of bytes of data.

uint8_t type

Record number type, such as 9 for "S9", 3 for "S3" and so on.

The documentation for this struct was generated from the following file:

- srecord_image.c